org.apache.poi.xddf.usermodel.chart

## Class XDDFDateAxis

- java.lang.Object
- - org.apache.poi.xddf.usermodel.chart.XDDFChartAxis
  - - org.apache.poi.xddf.usermodel.chart.XDDFDateAxis

- All Implemented Interfaces:
    HasShapeProperties

      @Beta
      public class XDDFDateAxis
      extends XDDFChartAxis

  Date axis type. Currently only implements the same values as `XDDFCategoryAxis`, since the two are nearly identical.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XDDFDateAxis(org.openxmlformats.schemas.drawingml.x2006.chart.CTDateAx ctDateAx)`
    `XDDFDateAxis(org.openxmlformats.schemas.drawingml.x2006.chart.CTPlotArea plotArea, AxisPosition position)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `crossAxis(XDDFChartAxis axis)` Declare this axis cross another axis.
    `protected org.openxmlformats.schemas.drawingml.x2006.chart.CTUnsignedInt` | `getCTAxId()`
    `protected org.openxmlformats.schemas.drawingml.x2006.chart.CTAxPos` | `getCTAxPos()`
    `protected org.openxmlformats.schemas.drawingml.x2006.chart.CTCrosses` | `getCTCrosses()`
    `protected org.openxmlformats.schemas.drawingml.x2006.chart.CTNumFmt` | `getCTNumFmt()`
    `protected org.openxmlformats.schemas.drawingml.x2006.chart.CTScaling` | `getCTScaling()`
    `protected org.openxmlformats.schemas.drawingml.x2006.chart.CTTickLblPos` | `getCTTickLblPos()`
    `protected org.openxmlformats.schemas.drawingml.x2006.chart.CTBoolean` | `getDelete()`
    `protected org.openxmlformats.schemas.drawingml.x2006.chart.CTTickMark` | `getMajorCTTickMark()`
    `double` | `getMajorUnit()`
    `protected org.openxmlformats.schemas.drawingml.x2006.chart.CTTickMark` | `getMinorCTTickMark()`
    `double` | `getMinorUnit()`
    `XDDFShapeProperties` | `getOrAddMajorGridProperties()`
    `XDDFShapeProperties` | `getOrAddMinorGridProperties()`
    `XDDFShapeProperties` | `getOrAddShapeProperties()`
    `XDDFRunProperties` | `getOrAddTextProperties()`
    `boolean` | `hasNumberFormat()` Use this to check before retrieving a number format, as calling `XDDFChartAxis.getNumberFormat()` may create a default one if none exists.
    `boolean` | `isSetMajorUnit()`
    `boolean` | `isSetMinorUnit()`
    `void` | `setMajorUnit(double major)`
    `void` | `setMinorUnit(double minor)`
    `void` | `setTitle(java.lang.String text)`

    - ### Methods inherited from class org.apache.poi.xddf.usermodel.chart.XDDFChartAxis

      `getCrosses, getId, getLogBase, getMajorTickMark, getMaximum, getMinimum, getMinorTickMark, getNextAxId, getNumberFormat, getOrAddLinesProperties, getOrAddTextProperties, getOrientation, getPosition, getTickLabelPosition, isSetLogBase, isSetMaximum, isSetMinimum, isVisible, setCrosses, setLogBase, setMajorTickMark, setMaximum, setMinimum, setMinorTickMark, setNumberFormat, setOrientation, setPosition, setTickLabelPosition, setVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XDDFDateAxis

          public XDDFDateAxis(org.openxmlformats.schemas.drawingml.x2006.chart.CTPlotArea plotArea,
                              AxisPosition position)

    - #### XDDFDateAxis

          public XDDFDateAxis(org.openxmlformats.schemas.drawingml.x2006.chart.CTDateAx ctDateAx)

  - ### Method Detail

    - #### getOrAddMajorGridProperties

          public XDDFShapeProperties getOrAddMajorGridProperties()

      Specified by:
        `getOrAddMajorGridProperties` in class `XDDFChartAxis`

    - #### getOrAddMinorGridProperties

          public XDDFShapeProperties getOrAddMinorGridProperties()

      Specified by:
        `getOrAddMinorGridProperties` in class `XDDFChartAxis`

    - #### getOrAddShapeProperties

          public XDDFShapeProperties getOrAddShapeProperties()

    - #### getOrAddTextProperties

          public XDDFRunProperties getOrAddTextProperties()

      Specified by:
        `getOrAddTextProperties` in class `XDDFChartAxis`
      Since:
        POI 4.0.2

    - #### setTitle

          public void setTitle(java.lang.String text)

      Specified by:
        `setTitle` in class `XDDFChartAxis`
      Since:
        4.0.1

    - #### isSetMinorUnit

          public boolean isSetMinorUnit()

      Specified by:
        `isSetMinorUnit` in class `XDDFChartAxis`
      Returns:
        true if minor unit value is defined, false otherwise

    - #### setMinorUnit

          public void setMinorUnit(double minor)

      Specified by:
        `setMinorUnit` in class `XDDFChartAxis`
      Parameters:
        `minor` - axis minor unit

    - #### getMinorUnit

          public double getMinorUnit()

      Specified by:
        `getMinorUnit` in class `XDDFChartAxis`
      Returns:
        axis minor unit or NaN if not set

    - #### isSetMajorUnit

          public boolean isSetMajorUnit()

      Specified by:
        `isSetMajorUnit` in class `XDDFChartAxis`
      Returns:
        true if major unit value is defined, false otherwise

    - #### setMajorUnit

          public void setMajorUnit(double major)

      Specified by:
        `setMajorUnit` in class `XDDFChartAxis`
      Parameters:
        `major` - axis major unit

    - #### getMajorUnit

          public double getMajorUnit()

      Specified by:
        `getMajorUnit` in class `XDDFChartAxis`
      Returns:
        axis major unit or NaN if not set

    - #### crossAxis

          public void crossAxis(XDDFChartAxis axis)

      Description copied from class: `XDDFChartAxis`
      Declare this axis cross another axis.
      Specified by:
        `crossAxis` in class `XDDFChartAxis`
      Parameters:
        `axis` - that this axis should cross

    - #### getCTAxId

          protected org.openxmlformats.schemas.drawingml.x2006.chart.CTUnsignedInt getCTAxId()

      Specified by:
        `getCTAxId` in class `XDDFChartAxis`

    - #### getCTAxPos

          protected org.openxmlformats.schemas.drawingml.x2006.chart.CTAxPos getCTAxPos()

      Specified by:
        `getCTAxPos` in class `XDDFChartAxis`

    - #### hasNumberFormat

          public boolean hasNumberFormat()

      Description copied from class: `XDDFChartAxis`
      Use this to check before retrieving a number format, as calling `XDDFChartAxis.getNumberFormat()` may create a default one if none exists.
      Specified by:
        `hasNumberFormat` in class `XDDFChartAxis`
      Returns:
        true if a number format element is defined, false if not

    - #### getCTNumFmt

          protected org.openxmlformats.schemas.drawingml.x2006.chart.CTNumFmt getCTNumFmt()

      Specified by:
        `getCTNumFmt` in class `XDDFChartAxis`

    - #### getCTScaling

          protected org.openxmlformats.schemas.drawingml.x2006.chart.CTScaling getCTScaling()

      Specified by:
        `getCTScaling` in class `XDDFChartAxis`

    - #### getCTCrosses

          protected org.openxmlformats.schemas.drawingml.x2006.chart.CTCrosses getCTCrosses()

      Specified by:
        `getCTCrosses` in class `XDDFChartAxis`

    - #### getDelete

          protected org.openxmlformats.schemas.drawingml.x2006.chart.CTBoolean getDelete()

      Specified by:
        `getDelete` in class `XDDFChartAxis`

    - #### getMajorCTTickMark

          protected org.openxmlformats.schemas.drawingml.x2006.chart.CTTickMark getMajorCTTickMark()

      Specified by:
        `getMajorCTTickMark` in class `XDDFChartAxis`

    - #### getMinorCTTickMark

          protected org.openxmlformats.schemas.drawingml.x2006.chart.CTTickMark getMinorCTTickMark()

      Specified by:
        `getMinorCTTickMark` in class `XDDFChartAxis`

    - #### getCTTickLblPos

          protected org.openxmlformats.schemas.drawingml.x2006.chart.CTTickLblPos getCTTickLblPos()

      Specified by:
        `getCTTickLblPos` in class `XDDFChartAxis`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.